Campaigns and creators

Set a creator's default code (tag) to an exact string, unique in the organization

PATCH/api/public/v1/campaign_affiliates/{id}
LiveAnswers from your brand's records now.

Operation id updateCampaignAffiliate

Request

curl

curl -X PATCH "https://creator.growthdept.ai/api/public/v1/campaign_affiliates/1024" \
  -H "Authorization: Bearer gdc_..." \
  -H "Content-Type: application/json" \
  -d '{"tag":"MAYA15"}'

Parameters

NameInTypeNotes
idpathintegerrequired

Request body

FieldTypeNotes
tagstringrequired

Example

{
  "tag": "MAYA15"
}

Responses

200Success

FieldTypeNotes
idinteger
successboolean
tagstring

Example

{
  "id": 1024,
  "success": true,
  "tag": "MAYA15"
}

Errors: 401403422with an error and usually a message. See errors.

Example values are made up from each field's type and name.